import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.*;

import com.sun.image.codec.jpeg.*;

public class LoadJpeg extends Frame {

  public static void main(String[] args)  throws Exception {
    Frame f = new LoadJpeg("yinmao.small.jpg");
    f.setSize(mImage.getWidth(), mImage.getHeight());
    f.setLocation(200, 200);
    f.setVisible(true);
  }
  
  private static BufferedImage mImage;
  
  public LoadJpeg(String filename)
      throws IOException, ImageFormatException {
    // Load the specified JPEG file.
    InputStream in = new FileInputStream(filename);
	JPEGImageDecoder decoder = JPEGCodec.createJPEGDecoder(in);
    mImage = decoder.decodeAsBufferedImage();
    in.close();
  }
  
  public void paint(Graphics g) {
    Graphics2D g2 = (Graphics2D)g;
    g2.drawImage(mImage, 0, 0, null);
  }
}
